picard.analysis.directed

## Class InsertSizeMetricsCollector.PerUnitInsertSizeMetricsCollector

- java.lang.Object
- - picard.analysis.directed.InsertSizeMetricsCollector.PerUnitInsertSizeMetricsCollector

- All Implemented Interfaces:
    PerUnitMetricCollector<InsertSizeMetrics,Integer,picard.analysis.directed.InsertSizeCollectorArgs>
  Enclosing class:
    InsertSizeMetricsCollector

      public class InsertSizeMetricsCollector.PerUnitInsertSizeMetricsCollector
      extends Object
      implements PerUnitMetricCollector<InsertSizeMetrics,Integer,picard.analysis.directed.InsertSizeCollectorArgs>

  A Collector for individual InsertSizeMetrics for a given SAMPLE or SAMPLE/LIBRARY or SAMPLE/LIBRARY/READ_GROUP (depending on aggregation levels)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PerUnitInsertSizeMetricsCollector(String sample, String library, String readGroup)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptRecord(picard.analysis.directed.InsertSizeCollectorArgs args)` Add a SAMRecord (with ReferenceSequence and Read Group info) to the metric(s) being calculated)
    `void` | `addMetricsToFile(htsjdk.samtools.metrics.MetricsFile<InsertSizeMetrics,Integer> file)` Any metrics collected will be added to the metric file provided.
    `void` | `finish()` When all records have been collected, compute any final values needed to finish constructing metrics/Histogram
    `double` | `getTotalInserts()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PerUnitInsertSizeMetricsCollector

          public PerUnitInsertSizeMetricsCollector(String sample,
                                                   String library,
                                                   String readGroup)

  - ### Method Detail

    - #### acceptRecord

          public void acceptRecord(picard.analysis.directed.InsertSizeCollectorArgs args)

      Description copied from interface: `PerUnitMetricCollector`
      Add a SAMRecord (with ReferenceSequence and Read Group info) to the metric(s) being calculated)
      Specified by:
        `acceptRecord` in interface `PerUnitMetricCollector<InsertSizeMetrics,Integer,picard.analysis.directed.InsertSizeCollectorArgs>`
      Parameters:
        `args` - Contains SAMRecord, SAMReadGroupRecord, ReferenceSequence of current record and any previously computed values that might be needed for this class

    - #### finish

          public void finish()

      Description copied from interface: `PerUnitMetricCollector`
      When all records have been collected, compute any final values needed to finish constructing metrics/Histogram
      Specified by:
        `finish` in interface `PerUnitMetricCollector<InsertSizeMetrics,Integer,picard.analysis.directed.InsertSizeCollectorArgs>`

    - #### getTotalInserts

          public double getTotalInserts()

    - #### addMetricsToFile

          public void addMetricsToFile(htsjdk.samtools.metrics.MetricsFile<InsertSizeMetrics,Integer> file)

      Description copied from interface: `PerUnitMetricCollector`
      Any metrics collected will be added to the metric file provided.
      Specified by:
        `addMetricsToFile` in interface `PerUnitMetricCollector<InsertSizeMetrics,Integer,picard.analysis.directed.InsertSizeCollectorArgs>`
      Parameters:
        `file` - MetricsFile to which all metrics created by this collector should be added